﻿using Hotline.Orders;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Quality
{
	[Description("质检")]
	public class Quality : FullStateEntity
	{
		/// <summary>
		/// 工单ID
		/// </summary>
		[SugarColumn(ColumnDescription = "工单ID")]
		public string OrderId { get; set; }

		/// <summary>
		/// 质检方式
		/// </summary>
		[SugarColumn(ColumnDescription = "质检方式")]
		public string? Mode { get; set; }


		/// <summary>
		/// 质检分数
		/// </summary>
		[SugarColumn(ColumnDescription = "质检分数")]
		public int Grade { get; set; }

		/// <summary>
		/// 质检评价
		/// </summary>
		[SugarColumn(ColumnDescription = "督办回复内容", ColumnDataType = "varchar(2000)")]
		public string? Content { get; set; }

		/// <summary>
		/// 质检状态
		/// </summary>
		[SugarColumn(ColumnDescription = "质检状态   0 待质检  1 已质检")]
		public int State { get; set; }

		/// <summary>
		/// 
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(OrderId))]
		public Order Order { get; set; }

		/// <summary>
		/// 质检明细
		/// </summary>
		[Navigate(NavigateType.OneToMany, nameof(QualityDetail.QualityId))]
		public List<QualityDetail> QualityDetails { get; set; }
	}
}
