﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Quality
{
	public class QualityDetail : FullStateEntity
	{

		/// <summary>
		/// 工单ID
		/// </summary>
		[SugarColumn(ColumnDescription = "工单ID")]
		public string QualityId { get; set; }

		/// <summary>
		/// 扣分时间点- 秒
		/// </summary>
		[SugarColumn(ColumnDescription = "扣分时间点- 秒")]
		public int Second { get; set; }

		/// <summary>
		/// 质检项目名称
		/// </summary>
		[SugarColumn(ColumnDescription = "质检项目名称")]
		public string Name { get; set; }

		/// <summary>
		/// 扣分内容
		/// </summary>
		[SugarColumn(ColumnDescription = "扣分内容", ColumnDataType = "varchar(2000)")]
		public string? Content { get; set; }

		/// <summary>
		/// 分值
		/// </summary>
		[SugarColumn(ColumnDescription = "分值")]
		public int Grade { get; set; }

		/// <summary>
		/// 
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(QualityId))]
		public Quality Quality { get; set; }
	}
}
